#!/bin/sh
#
# module :
# installation des pages bibnemomaf dans DIRFINAL* donn en argument
#  partir des fichiers produits ou copis ou lis sous DIRWWW 
# donn en argument
#
# nb : !!! attention utilisation du compte fplod@aedon.lodyc.jussieu.fr
#
# source :
# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/install.sh sur aedon.locean-ipsl.upmc.fr
#
# update
# smasson 2007-06-07T16:43:42Z arete.locean-ipsl.upmc.fr (Darwin)
# can give the answer with input parameters
# fplod 2007-04-26T11:51:42Z aedon.locean-ipsl.upmc.fr (Darwin)
#
# ++ simu paramtre
DIRFINALLOCEAN=smasson@arete.locean-ipsl.upmc.fr:Sites/bibnemomaf/
DIRWWW=/tmp/bibopa/
#
answer=${1:-" "}
case ${answer} in
    y|Y|n|N)
	;;
    *)
	echo "Do you want to install on ${DIRFINALLOCEAN}  (y|[n]) ?"
	read answer   
	;;
esac
case ${answer} in
 y|Y)
 # copy of ${DIRWWW} on $DIRFINALLOCEAN
 echo "iii : update of ${DIRFINALLOCEAN}"
 rsync -av -e ssh ${DIRWWW}/ ${DIRFINALLOCEAN}
 # pas sur aedon ssh fplod@cerbere.lodyc.jussieu.fr /usr/local_linux/bin/update_web
 ;;
 *)
 echo "no update of ${DIRFINALLOCEAN}"
 ;;
esac
#
# ++ simu paramtre
DIRFINALLOCEAN=opatlod@cerbere.locean-ipsl.upmc.fr:NEMO/general/biblio_new/
#
answer=${2:-" "}
case ${answer} in
    y|Y|n|N)
	;;
    *)
	echo "Do you want to install on ${DIRFINALLOCEAN}  (y|[n]) ?"
	read answer   
	;;
esac
case ${answer} in
 y|Y)
 # copy of ${DIRWWW} on $DIRFINALLOCEAN
 echo "iii : update of ${DIRFINALLOCEAN}"
 rsync -av -e ssh ${DIRWWW}/ ${DIRFINALLOCEAN}
 ssh opatlod@cerbere.lodyc.jussieu.fr /usr/local_linux/bin/update_web
 ;;
 *)
 echo "no update of ${DIRFINALLOCEAN}"
 ;;
esac
#
# normal exit
exit 0
